using System.Runtime.Serialization;
using WCS.Entity.Protocol.Protocol.Robot;

namespace WCS.Entity.Protocol.Robot
{
    [DataContract]
    public class WCS_Robot521 : IRobot521
    {
        [DataMember(Order = 0)]
        public int TaskNumber1 { get; set; }

        [DataMember(Order = 1)]
        public short SLine1 { get; set; }

        [DataMember(Order = 2)]
        public short SCol1 { get; set; }

        [DataMember(Order = 3)]
        public short SLayer1 { get; set; }

        [DataMember(Order = 4)]
        public short SDepth1 { get; set; }

        [DataMember(Order = 5)]
        public short ELine1 { get; set; }

        [DataMember(Order = 6)]
        public short ECol1 { get; set; }

        [DataMember(Order = 7)]
        public short ELayer1 { get; set; }

        [DataMember(Order = 8)]
        public short EDepth1 { get; set; }

        [DataMember(Order = 9)]
        public int TaskFinishId1 { get; set; }

        [DataMember(Order = 10)]
        public short Res1 { get; set; }

        [DataMember(Order = 11)]
        public short Res2 { get; set; }

        [DataMember(Order = 12)]
        public short Res3 { get; set; }

        [DataMember(Order = 13)]
        public short Res4 { get; set; }

        [DataMember(Order = 14)]
        public short Res5 { get; set; }

        [DataMember(Order = 15)]
        public int Res6 { get; set; }

        [DataMember(Order = 16)]
        public int Res7 { get; set; }

        [DataMember(Order = 17)]
        public int Res8 { get; set; }

        [DataMember(Order = 18)]
        public int Res9 { get; set; }

        [DataMember(Order = 19)]
        public short Res10 { get; set; }

        [DataMember(Order = 20)]
        public int Res11 { get; set; }

        [DataMember(Order = 21)]
        public int Res12 { get; set; }

        [DataMember(Order = 22)]
        public short Res13 { get; set; }

        [DataMember(Order = 23)]
        public short Res14 { get; set; }

        [DataMember(Order = 24)]
        public short Res15 { get; set; }

        [DataMember(Order = 25)]
        public short Res16 { get; set; }

        [DataMember(Order = 26)]
        public short Res17 { get; set; }

        [DataMember(Order = 27)]
        public RobotState State1 { get; set; }

        [DataMember(Order = 28)]
        public int TaskNumber2 { get; set; }

        [DataMember(Order = 29)]
        public short SLine2 { get; set; }

        [DataMember(Order = 30)]
        public short SCol2 { get; set; }

        [DataMember(Order = 31)]
        public short SLayer2 { get; set; }

        [DataMember(Order = 32)]
        public short SDepth2 { get; set; }

        [DataMember(Order = 33)]
        public short ELine2 { get; set; }

        [DataMember(Order = 34)]
        public short ECol2 { get; set; }

        [DataMember(Order = 35)]
        public short ELayer2 { get; set; }

        [DataMember(Order = 36)]
        public short EDepth2 { get; set; }

        [DataMember(Order = 37)]
        public int TaskFinishId2 { get; set; }

        [DataMember(Order = 38)]
        public short Res18 { get; set; }

        [DataMember(Order = 39)]
        public short Res19 { get; set; }

        [DataMember(Order = 40)]
        public short Res20 { get; set; }

        [DataMember(Order = 41)]
        public short Res21 { get; set; }

        [DataMember(Order = 42)]
        public short Res22 { get; set; }

        [DataMember(Order = 43)]
        public int Res23 { get; set; }

        [DataMember(Order = 44)]
        public int Res24 { get; set; }

        [DataMember(Order = 45)]
        public int Res25 { get; set; }

        [DataMember(Order = 46)]
        public int Res26 { get; set; }

        [DataMember(Order = 47)]
        public short Res27 { get; set; }

        [DataMember(Order = 48)]
        public int Res28 { get; set; }

        [DataMember(Order = 49)]
        public int Res29 { get; set; }

        [DataMember(Order = 50)]
        public int Res30 { get; set; }

        [DataMember(Order = 51)]
        public short Res31 { get; set; }

        [DataMember(Order = 52)]
        public short Res32 { get; set; }

        [DataMember(Order = 53)]
        public short Res33 { get; set; }

        [DataMember(Order = 54)]
        public RobotState State2 { get; set; }

        [DataMember(Order = 55)]
        public RobotMode RobotMode { get; set; }

        [DataMember(Order = 56)]
        public RobotRunStatus RunStatus { get; set; }

        [DataMember(Order = 57)]
        public float TotalKm { get; set; }

        [DataMember(Order = 58)]
        public float Runtime { get; set; }

        [DataMember(Order = 59)]
        public short Alarm { get; set; }

        [DataMember(Order = 60)]
        public int VoucherNo { get; set; }

        [DataMember(Order = 61)]
        public short GoodsType { get; set; }

        [DataMember(Order = 62)]
        public short Res34 { get; set; }

        [DataMember(Order = 63)]
        public short Res35 { get; set; }

        [DataMember(Order = 64)]
        public short Res36 { get; set; }
    }
}
